質問をすることでしか得られない、回答やアドバイスがある。

15分調べてもわからないことは、質問しよう!

新規登録して質問してみよう
ただいま回答率
87.20%
Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

YOLO

YOLOとは、画像検出および認識用ニューラルネットワークです。CベースのDarknetというフレームワークを用いて、画像や動画からオブジェクトを検出。リアルタイムでそれが何になるのかを認識し、分類することができます。

OpenCV

OpenCV(オープンソースコンピュータービジョン)は、1999年にインテルが開発・公開したオープンソースのコンピュータビジョン向けのクロスプラットフォームライブラリです。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

解決済

OpenCV 3.4.0のインストールの際のトラブル

kwada
kwada

総合スコア1

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

YOLO

YOLOとは、画像検出および認識用ニューラルネットワークです。CベースのDarknetというフレームワークを用いて、画像や動画からオブジェクトを検出。リアルタイムでそれが何になるのかを認識し、分類することができます。

OpenCV

OpenCV(オープンソースコンピュータービジョン)は、1999年にインテルが開発・公開したオープンソースのコンピュータビジョン向けのクロスプラットフォームライブラリです。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。

1回答

-1評価

0クリップ

194閲覧

投稿2022/05/09 10:41

OpenCvのバージョン3.4.0をインストールしたいのですが、以下のようなエラーがでます。
どのように対応すべきか、ご指導お願いします。
なお、yolo_envという環境をAnacondaで作り、そこにはまだ何もインストールされていません。

環境は
PC: Mac
言語:Python利用
環境:Anaconda

(yolo_env) XXX_MacBookPro YOLO % conda install opencv-python==3.4.0
Collecting package metadata (current_repodata.json): done
Solving environment: failed with initial frozen solve. Retrying with flexible solve.
Collecting package metadata (repodata.json): done
Solving environment: failed with initial frozen solve. Retrying with flexible solve.

PackagesNotFoundError: The following packages are not available from current channels:

  • opencv-python==3.4.0

Current channels:

To search for alternate channels that may provide the conda package you're
looking for, navigate to
https://anaconda.org
and use the search bar at the top of the page.
(yolo_env) XXX_MacBookPro YOLO %

良い質問の評価を上げる

以下のような質問は評価を上げましょう

  • 質問内容が明確
  • 自分も答えを知りたい
  • 質問者以外のユーザにも役立つ

評価が高い質問は、TOPページの「注目」タブのフィードに表示されやすくなります。

気になる質問をクリップする

クリップした質問は、後からいつでもマイページで確認できます。

またクリップした質問に回答があった際、通知やメールを受け取ることができます。

teratailでは下記のような質問を「具体的に困っていることがない質問」、「サイトポリシーに違反する質問」と定義し、推奨していません。

  • プログラミングに関係のない質問
  • やってほしいことだけを記載した丸投げの質問
  • 問題・課題が含まれていない質問
  • 意図的に内容が抹消された質問
  • 過去に投稿した質問と同じ内容の質問
  • 広告と受け取られるような投稿

評価を下げると、トップページの「アクティブ」「注目」タブのフィードに表示されにくくなります。

jbpb0

2022/05/09 13:23

> The following packages are not available from current channels: opencv-python==3.4.0 condaでインストールできる「opencv-python」という名前のパッケージは、 https://anaconda.org/search?q=opencv-python で検索すると分かりますが、標準ではないchannelにしかありませんが、本当にそんなものをインストールしたいのでしょうか?
kwada

2022/05/09 13:49

実は、MacへYOLOをインストールしたいのですが、その際にDarknetを使いたいと思っています。その際に利用できるOpenCvは、バージョン3.4.0以下でないとならない様で、困っているのです。
jbpb0

2022/05/09 13:58

https://anaconda.org/search?q=opencv で検索すると分かりますが、condaでインストールできる、名前に「opencv」が付くパッケージは、「opencv-python」以外にもたくさんあります 再度聞きますけど、インストールしたいのは、本当に「opencv-python」という名前のパッケージなのでしょうか?
kwada

2022/05/09 21:29

ご指摘ありがとうございます。 必要なのは、Opencv 3.4.0です。Pythonもこれに合わせないといけないのかと思い、上記のopencv-python と記載してしまいました。混乱させて申し訳ありません。
kwada

2022/05/09 21:33

正確には、OpenCv 3.4.0以下とあります。
jbpb0

2022/05/10 00:16 編集

パッケージ名が「opencv-python」ではなくてもいいのなら、たとえばこれは3.3.0なので、3.4.0以下の条件を満たします https://anaconda.org/conda-forge/opencv/files?version=3.3.0 また、たとえばこれは3.3.1なので、3.4.0以下の条件を満たします https://anaconda.org/anaconda/opencv/files?version=3.3.1 ただし、上記どちらも、対応してるpythonのバージョンが2.7, 3.5, 3.6なので、anacondaで仮想環境を作る際に、それらの内のどれかを選ぶ必要があります
kwada

2022/05/10 00:39 編集

まずは、Anacondaで適切なバージョンのpythonをインストールし、その後openCV3.3.0をインストールしてみます。お時間を取らせてしまい、ありがとうございました。大変参考になりました。
kwada

2022/05/10 02:24 編集

結果の報告をします: 1)Anacondaから新しい環境を作り、そこにpython3.6.15をインストールしました。 2)conda install -c smartag opencv3でOpenCv3.3.0をインストルールしました。   エラーは出ていませんでした。 3)その後、OpenCv3.3.0のインストールを確認すべく、同じ環境のコマンドラインからpython3を起動し、import cv2と入力したのですが、以下のようなエラーが発生します。 (yolo_env) XXX ~ % python3 Python 3.6.15 | packaged by conda-forge | (default, Dec 3 2021, 18:49:43) [GCC Clang 11.1.0] on darwin Type "help", "copyright", "credits" or "license" for more information. >>> import cv2 Traceback (most recent call last): File "<stdin>", line 1, in <module> ImportError: dlopen(/Users/kazuwada/opt/anaconda3/envs/yolo_env/lib/python3.6/site-packages/cv2.cpython-36m-darwin.so, 2): Library not loaded: /usr/local/opt/ffmpeg/lib/libavcodec.57.dylib Referenced from: /Users/kazuwada/opt/anaconda3/envs/yolo_env/lib/libopencv_videoio.3.3.0.dylib Reason: image not found >>>>>>>> 何が足りないのでしょうか?
jbpb0

2022/05/10 06:02 編集

下記のどちらかでは、どうでしょうか? conda install -c conda-forge opencv==3.3.0 conda install -c anaconda opencv==3.3.1 ただし、上記を実行する前に、既にインストールしたものはアンインストールしてください また、上記のどちらかを実行した後に、違う方を実行する場合も、二つ目を実行する前に、先にインストールしたものをアンインストールしてください
kwada

2022/05/10 05:20

結論:OpenCV 3.3.1のインストール成功しました!  本当にありがとうございました。 1) conda install -c anaconda opencv==3.3.1でOpenCVのインストール: 成功 2) terminalからpython3を入力し、以下のコマンドでチェックしました。opencv3.3.1は正常に動作するようです。 (yolo_env) kazuwada@XXX ~ % python3 Python 3.6.15 | packaged by conda-forge | (default, Dec 3 2021, 18:49:43) [GCC Clang 11.1.0] on darwin Type "help", "copyright", "credits" or "license" for more information. >>> import cv2 >>> cv2.__version__ '3.3.1' >>>

まだ回答がついていません

会員登録して回答してみよう

15分調べてもわからないことは
teratailで質問しよう!

ただいまの回答率
87.20%

質問をまとめることで
思考を整理して素早く解決

テンプレート機能で
簡単に質問をまとめる

質問する

関連した質問

同じタグがついた質問を見る

Anaconda

Anacondaは、Python本体とPythonで利用されるライブラリを一括でインストールできるパッケージです。環境構築が容易になるため、Python開発者間ではよく利用されており、商用目的としても利用できます。

YOLO

YOLOとは、画像検出および認識用ニューラルネットワークです。CベースのDarknetというフレームワークを用いて、画像や動画からオブジェクトを検出。リアルタイムでそれが何になるのかを認識し、分類することができます。

OpenCV

OpenCV(オープンソースコンピュータービジョン)は、1999年にインテルが開発・公開したオープンソースのコンピュータビジョン向けのクロスプラットフォームライブラリです。

Python 3.x

Python 3はPythonプログラミング言語の最新バージョンであり、2008年12月3日にリリースされました。